SU(1)

NAME
su - substitute user id temporarily

SYNOPSIS
su [ -f ] [ - ] [ userid ]

DESCRIPTION
Su demands the password of the specified userid, and if it is given, changes to that userid and invokes the Shell sh(1) or csh(1) without changing the current directory. The user environment is unchanged except for HOME and SHELL, which are taken from the password file for the user being substituted (see environ(7)). The new user ID stays in force until the Shell exits.

If no userid is specified, ``root'' is assumed. Only users in the ``wheel'' group (group 0) can su to ``root'', even with the root password. To remind the super-user of his responsibilities, the Shell substitutes `#' for its usual prompt.

The -f option prevents csh(1) from executing the .cshrc file; thus making su start up faster.

The - option simulates a full login.

SEE ALSO
sh(1), csh(1)